## xmotd 1.14b3

=== Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.89 94/08/12 00:45:51 gildea Exp $

# -----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $XConsortium: Imake.tmpl,v 1.220 94/08/30 17:25:36 matt Exp $
#

.SUFFIXES: .i

# $XConsortium: Imake.cf,v 1.12 94/03/29 15:42:08 gildea Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.9 94/04/08 17:02:06 rws Exp $

# -----------------------------------------------------------------------
# platform-specific configuration parameters - edit sun.cf to change

# platform:  $XConsortium: sun.cf,v 1.134 94/08/17 18:56:43 matt Exp $

# operating system:  SunOS 4.1.1

# $XConsortium: sunLib.rules,v 1.14 94/03/28 15:24:43 gildea Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.9 94/04/08 17:02:06 rws Exp $

# -----------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules,v 1.194 94/08/30 17:25:36 matt Exp $

          PATHSEP = /
            SHELL = /bin/sh

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = makedepend
        MKDIRHIER = mkdirhier
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/makedepend
           IXXSRC = $(UNSUPPORTEDSRC)/programs/ixx
              IXX = ixx
         IXXFLAGS = -s BaseObject -m TypeObj -r RequestObj -p Xf
      IXXINCLUDES = -i '<X11/Fresco/enter-scope.h>'

          INCROOT = /usr/X11R6/include
        USRLIBDIR = /usr/X11R6/lib
         SHLIBDIR = /usr/X11R6/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/X11R6/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)$(MANSUFFIX)
        LIBMANDIR = $(MANSOURCEPATH)$(LIBMANSUFFIX)
       FILEMANDIR = $(MANSOURCEPATH)$(FILEMANSUFFIX)

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = gcc -fpcc-struct-return
               AS = as

.SUFFIXES: .cxx

              CXX = g++
    CXXDEBUGFLAGS = -O2
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
  CXXIDL_INCLUDES = -I$(TOP)/include
   CXXSTD_DEFINES =
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES) $(CXXIDL_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(CXXEXTRA_DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = gcc -fpcc-struct-return -E $(STD_CPP_DEFINES)
          INSTALL = install
     INSTALLFLAGS = -c
               LD = ld
              LEX = lex
           LEXLIB = -ll
             YACC = yacc
           CCYACC = yacc
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
        MANSUFFIX = n
     LIBMANSUFFIX = 3
    FILEMANSUFFIX = 4
            TROFF = psroff
         MSMACROS = -ms
              TBL = tbl
              EQN = eqn

     STD_INCLUDES =
  STD_CPP_DEFINES =
      STD_DEFINES =
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

    SHAREDCODEDEF = -DSHAREDCODE
         SHLIBDEF = -DSUNSHLIB

     SHLIBLDFLAGS = -assert pure-text

         PICFLAGS = -fpic

      CXXPICFLAGS = -fpic

    PROTO_DEFINES =

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4755
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -g kmem -m 2755

      PROJECTROOT = /usr/X11R6

     TOP_INCLUDES = -I$(INCROOT)

      CDEBUGFLAGS = -O2
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)

           LDLIBS = $(LDPOSTLIB) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -X -r
      DEPENDFLAGS =

        MACROFILE = sun.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Project.tmpl \
			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) \
			 $(EXTRA_ICONFIGFILES)

# -----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $XConsortium: Project.tmpl,v 1.244 94/08/17 18:57:34 matt Exp $

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

           BINDIR = /usr/X11R6/bin
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
      BUILDLIBDIR = $(TOP)/usrlib
      BUILDLIBTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           XSMDIR = $(LIBDIR)/xsm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = rgb
            FONTC = bdftopcf
        MKFONTDIR = mkfontdir

       DOCUTILSRC = $(TOP)/doc/util
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/programs/Xserver
       CONTRIBSRC = $(TOP)/../contrib
   UNSUPPORTEDSRC = $(TOP)/unsupported
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/programs/rgb
      BDFTOPCFSRC = $(PROGRAMSRC)/bdftopcf
     MKFONTDIRSRC = $(PROGRAMSRC)/mkfontdir
    FONTSERVERSRC = $(PROGRAMSRC)/xfs
       FONTINCSRC = $(TOP)/include/fonts
        EXTINCSRC = $(TOP)/include/extensions
     TRANSCOMMSRC = $(LIBSRC)/xtrans
   TRANS_INCLUDES = -I$(TRANSCOMMSRC)

# $XConsortium: sunLib.tmpl,v 1.36 94/04/08 19:13:50 rws Exp $

          XLIBSRC = $(LIBSRC)/X11

SOXLIBREV = 4.20
DEPXONLYLIB =
XONLYLIB =  -lX11

LINTXONLY = $(LINTLIBDIR)/llib-lX11.ln

         XLIBONLY = $(XONLYLIB)

      XEXTLIBSRC = $(LIBSRC)/Xext

SOXEXTREV = 4.20
DEPEXTENSIONLIB =
EXTENSIONLIB =  -lXext

LINTEXTENSION = $(LINTLIBDIR)/llib-lXext.ln

LINTEXTENSIONLIB = $(LINTEXTENSION)
          DEPXLIB = $(DEPEXTENSIONLIB) $(DEPXONLYLIB)
             XLIB = $(EXTENSIONLIB) $(XONLYLIB)
         LINTXLIB = $(LINTXONLYLIB)

         XAUTHSRC = $(LIBSRC)/Xau

DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
XAUTHLIB =  -lXau

LINTXAUTH = $(LINTLIBDIR)/llib-lXau.ln

      XDMCPLIBSRC = $(LIBSRC)/Xdmcp

DEPXDMCPLIB = $(USRLIBDIR)/libXdmcp.a
XDMCPLIB =  -lXdmcp

LINTXDMCP = $(LINTLIBDIR)/llib-lXdmcp.ln

           XMUSRC = $(LIBSRC)/Xmu

SOXMUREV = 4.20
DEPXMULIB = $(USRLIBDIR)/libXmu.sa.$(SOXMUREV)
XMULIB =  -lXmu

LINTXMU = $(LINTLIBDIR)/llib-lXmu.ln

       OLDXLIBSRC = $(LIBSRC)/oldX

SOOLDXREV = 4.20
DEPOLDXLIB =
OLDXLIB =  -loldX

LINTOLDX = $(LINTLIBDIR)/llib-loldX.ln

       TOOLKITSRC = $(LIBSRC)/Xt

SOXTREV = 4.20
DEPXTOOLONLYLIB = $(USRLIBDIR)/libXt.sa.$(SOXTREV)
XTOOLONLYLIB =  -lXt

LINTXTOOLONLY = $(LINTLIBDIR)/llib-lXt.ln

      DEPXTOOLLIB = $(DEPXTOOLONLYLIB) $(DEPSMLIB) $(DEPICELIB)
         XTOOLLIB = $(XTOOLONLYLIB) $(SMLIB) $(ICELIB)
     LINTXTOOLLIB = $(LINTXTOOLONLYLIB)

       AWIDGETSRC = $(LIBSRC)/Xaw

SOXAWREV = 6.0
DEPXAWLIB = $(USRLIBDIR)/libXaw.sa.$(SOXAWREV)
XAWLIB =  -lXaw

LINTXAW = $(LINTLIBDIR)/llib-lXaw.ln

       XTFSRC = $(TOP)/workInProgress/Xtf

SOXTFREV = 0.7
DEPXTFLIB =
XTFLIB =  -lXtf

LINTXTF = $(LINTLIBDIR)/llib-lXtf.ln

       FRESCOSRC = $(TOP)/workInProgress/Fresco

SOFRESCOREV = 0.7
DEPFRESCOLIB =
FRESCOLIB =  -lFresco

LINTFRESCO = $(LINTLIBDIR)/llib-lFresco.ln

         XILIBSRC = $(LIBSRC)/Xi

SOXINPUTREV = 4.20
DEPXILIB =
XILIB =  -lXi

LINTXI = $(LINTLIBDIR)/llib-lXi.ln

      XTESTLIBSRC = $(LIBSRC)/Xtst

SOXTESTREV = 1.10
DEPXTESTLIB =
XTESTLIB =  -lXtst

LINTXTEST = $(LINTLIBDIR)/llib-lXtst.ln

        PEXLIBSRC = $(LIBSRC)/PEX5

SOPEXREV = 1.10
DEPPEXLIB =
PEXLIB =  -lPEX5

LINTPEX = $(LINTLIBDIR)/llib-lPEX5.ln

        XIELIBSRC = $(LIBSRC)/XIE

SOXIEREV = 6.0
DEPXIELIB =
XIELIB =  -lXIE

LINTXIE = $(LINTLIBDIR)/llib-lXIE.ln

      PHIGSLIBSRC = $(LIBSRC)/PHIGS

DEPPHIGSLIB = $(USRLIBDIR)/libphigs.a
PHIGSLIB =  -lphigs

LINTPHIGS = $(LINTLIBDIR)/llib-lphigs.ln

DEPXBSDLIB = $(USRLIBDIR)/libXbsd.a
XBSDLIB =  -lXbsd

LINTXBSD = $(LINTLIBDIR)/llib-lXbsd.ln

           ICESRC = $(LIBSRC)/ICE

SOICEREV = 6.0
DEPICELIB =
ICELIB =  -lICE

LINTICE = $(LINTLIBDIR)/llib-lICE.ln

            SMSRC = $(LIBSRC)/SM

SOSMREV = 6.0
DEPSMLIB =
SMLIB =  -lSM

LINTSM = $(LINTLIBDIR)/llib-lSM.ln

         FSLIBSRC = $(LIBSRC)/FS

DEPFSLIB = $(USRLIBDIR)/libFS.a
FSLIB =  -lFS

LINTFS = $(LINTLIBDIR)/llib-lFS.ln

         FONTLIBSRC = $(LIBSRC)/font

DEPFONTLIB = $(USRLIBDIR)/libfont.a
FONTLIB =  -lfont

LINTFONT = $(LINTLIBDIR)/llib-lfont.ln

          DEPLIBS = $(DEPXAWLIB) $(DEPXMULIB) $(DEPXTOOLLIB) $(DEPXLIB)

         DEPLIBS1 = $(DEPLIBS)
         DEPLIBS2 = $(DEPLIBS)
         DEPLIBS3 = $(DEPLIBS)

        CONFIGDIR = $(LIBDIR)/config

# -----------------------------------------------------------------------
# start of Imakefile

# -IMPORTANT-------------------------------------------------------

# If you wish to build with Motif, then uncomment the following line:
# #define MOTIF

# If you wish to use an HTML widget instead of an ASCII text widget,
# then uncomment the following line:
# #define HAVE_HTML

# -----------------------------------------------------------------

# INSTRUCTIONS:
# ============
# 1. xmkmf
# 2. make Makefiles
# 3. make all

# NOTE for step 3:
# If you want to build xmotd with HTML support and Athena, use:
# 3. make all EXTRA_DEFINES="-DHAVE_HTML"

# Or, if you want to build xmotd with HTML support and with Motif, use:
# 3. make all EXTRA_DEFINES="-DMOTIF -DHAVE_HTML"

# Another Note: If you are trying to compile with Motif, on a
# Solaris system, fiddle with the LOCAL_LIBRARIES setting (down
# below)

#          CC = purify gcc

             SRCS = main.c xmotd.c changed.c textmode.c usage.c
            INCLS = maindefs.h patchlevel.h appdefs.h main.h
             OBJS = main.o xmotd.o changed.o textmode.o usage.o

      CDEBUGFLAGS = -g
        MANSUFFIX = 8

           SUBDIR = libhtmlw

         MANIFEST = README ACKNOWLEDGEMENTS ChangeLog Imakefile Makefile  \
					XMotd XMotd_motif xmotd.8 xlogo.bm $(SRCS) $(INCLUDES)

# No space after the equals-sign
              VER =1.14b3
             LITE =1.14b3

.PRECIOUS: distrib

## xmotd 1.16.0.1

=== Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c /main/90 1996/11/13 14:43:23 lehors $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and </tmp/IIf.0bv7kt>
# $XConsortium: Imake.tmpl /main/243 1996/11/13 14:42:56 lehors $
#

all::

.SUFFIXES: .i

# $XConsortium: Imake.cf /main/26 1996/09/28 16:05:09 rws $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.def /main/revisionist/4 1996/12/31 08:02:07 kaleb $

# ----------------------------------------------------------------------
# platform-specific configuration parameters - edit sun.cf to change

# platform:  $XConsortium: sun.cf /main/160 1996/12/26 08:52:18 kaleb $

# operating system:  SunOS (5.5.0)

# $XConsortium: svr4.cf /main/16 1996/09/28 16:13:41 rws $

# $XConsortium: sv4Lib.rules /main/18 1996/09/28 16:13:29 rws $

# ----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.def /main/revisionist/4 1996/12/31 08:02:07 kaleb $

# ---------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules /main/217 1996/12/05 09:48:26 kaleb $

          PATHSEP = /
            SHELL = /bin/sh

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = makedepend
        MKDIRHIER = mkdirhier
    EXPORTLISTGEN = exportlistgen
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/makedepend

          INCROOT = /usr/X11/include
        USRLIBDIR = /usr/X11/lib
         SHLIBDIR = /usr/X11/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/X11/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)1
        LIBMANDIR = $(MANSOURCEPATH)3
       FILEMANDIR = $(MANSOURCEPATH)$(FILEMANSUFFIX)

               AR = /usr/ccs/bin/ar cq
  BOOTSTRAPCFLAGS =
               CC = gcc -fpcc-struct-return
               AS = /usr/ccs/bin/as

         COMPRESS = compress
             GZIP = gzip
              CPP = /usr/ccs/lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = gcc -fpcc-struct-return -E $(STD_CPP_DEFINES)
          INSTALL = /usr/ucb/install
     INSTALLFLAGS = -c
               LD = /usr/ccs/bin/ld
              LEX = /usr/ccs/bin/lex
           LEXLIB = -ll
             YACC = /usr/ccs/bin/yacc
           CCYACC = /usr/ccs/bin/yacc
             LINT = lint
      LINTLIBFLAG = -o
         LINTOPTS = -bh
               LN = ln -s
             MAKE = /usr/ccs/bin/make
               MV = mv
               CP = cp

               RM = rm -f
        MANSUFFIX = 1x
     LIBMANSUFFIX = 3x
    FILEMANSUFFIX = 4
            TROFF = psroff
            NROFF = nroff
         MSMACROS = -ms
        MANMACROS = -man
              TBL = tbl
              EQN = eqn
             NEQN = neqn
              COL = col

            DVIPS = dvips
            LATEX = latex

     STD_INCLUDES =
  STD_CPP_DEFINES = -Dsun -DSVR4 $(PROJECT_DEFINES)
      STD_DEFINES = -Dsun -DSVR4 $(PROJECT_DEFINES)
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES = -lsocket -lnsl
             TAGS = ctags

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -G -z text

         PICFLAGS = -fpic

      CXXPICFLAGS = -K PIC

    PROTO_DEFINES =

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4711
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -g sys -m 2711

      PROJECTROOT = /usr/X11

      CDEBUGFLAGS = -O2
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)

           LDLIBS = $(LDPOSTLIBS) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

       CCENVSETUP = LD_RUN_PATH=$(USRLIBDIRPATH)
           CCLINK = $(CCENVSETUP) $(CC)

      CXXENVSETUP = LD_RUN_PATH=$(USRLIBDIRPATH)
          CXXLINK = $(CXXENVSETUP) $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

        MACROFILE = sun.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/X11.tmpl \
			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) \
			 $(EXTRA_ICONFIGFILES)

# $XConsortium: X11.rules /main/2 1996/12/04 10:13:00 swick $

# ----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $XConsortium: X11.tmpl /main/290 1996/12/27 16:14:21 kaleb $

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

             XTOP = $(TOP)
           BINDIR = /usr/X11/bin
     BUILDINCROOT = $(TOP)/exports
      BUILDINCDIR = $(BUILDINCROOT)/include
      BUILDINCTOP = ../..
      BUILDLIBDIR = $(TOP)/exports/lib
      BUILDLIBTOP = ../..
      BUILDBINDIR = $(TOP)/exports/bin
      BUILDBINTOP = ../..
    XBUILDINCROOT = $(XTOP)/exports
     XBUILDINCDIR = $(XBUILDINCROOT)/include/X11
     XBUILDINCTOP = ../../..
     XBUILDBINDIR = $(XBUILDINCROOT)/bin
           INCDIR = $(INCROOT)
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11
   TOP_X_INCLUDES =

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           XSMDIR = $(LIBDIR)/xsm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      LBXPROXYDIR = $(LIBDIR)/lbxproxy
  PROXYMANAGERDIR = $(LIBDIR)/proxymngr
        XPRINTDIR = $(LIBDIR)
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = rgb
            FONTC = bdftopcf
        MKFONTDIR = mkfontdir

       DOCUTILSRC = $(XTOP)/doc/util
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(XTOP)/lib
          FONTSRC = $(XTOP)/fonts
       INCLUDESRC = $(BUILDINCROOT)/include
      XINCLUDESRC = $(INCLUDESRC)/X11
        SERVERSRC = $(XTOP)/programs/Xserver
       CONTRIBSRC = $(XTOP)/../contrib
   UNSUPPORTEDSRC = $(XTOP)/unsupported
           DOCSRC = $(XTOP)/doc
           RGBSRC = $(XTOP)/programs/rgb
      BDFTOPCFSRC = $(PROGRAMSRC)/bdftopcf
     MKFONTDIRSRC = $(PROGRAMSRC)/mkfontdir
    FONTSERVERSRC = $(PROGRAMSRC)/xfs
       FONTINCSRC = $(XTOP)/include/fonts
        EXTINCSRC = $(XTOP)/include/extensions
     TRANSCOMMSRC = $(LIBSRC)/xtrans
   TRANS_INCLUDES = -I$(TRANSCOMMSRC)

       XENVLIBDIR = $(USRLIBDIR)
   CLIENTENVSETUP = LD_LIBRARY_PATH=$(XENVLIBDIR)

# $XConsortium: sunLib.tmpl /main/44 1996/12/09 16:34:30 kaleb $

ICONV_INBUF_DEFINE = -DICONV_INBUF_CONST=const

# $XConsortium: sv4Lib.tmpl /main/23 1996/12/04 10:11:01 swick $

XMULIBONLY = -lXmu

REGEXSYSLIB = -lgen
DYNLIBSYSLIB = -ldl

IAFSYSLIB =

          XLIBSRC = $(LIBSRC)/X11

SOXLIBREV = 6.1
DEPXONLYLIB =
XONLYLIB =  -lX11

LINTXONLY = $(LINTLIBDIR)/llib-lX11.ln

         XLIBONLY = $(XONLYLIB)

      XEXTLIBSRC = $(LIBSRC)/Xext

SOXEXTREV = 6.3
DEPEXTENSIONLIB =
EXTENSIONLIB =  -lXext

LINTEXTENSION = $(LINTLIBDIR)/llib-lXext.ln

LINTEXTENSIONLIB = $(LINTEXTENSION)
          DEPXLIB = $(DEPEXTENSIONLIB) $(DEPXONLYLIB)
             XLIB = $(EXTENSIONLIB) $(XONLYLIB)
         LINTXLIB = $(LINTXONLYLIB)

         XAUTHSRC = $(LIBSRC)/Xau

DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
XAUTHLIB =  -lXau

LINTXAUTH = $(LINTLIBDIR)/llib-lXau.ln

      XDMCPLIBSRC = $(LIBSRC)/Xdmcp

DEPXDMCPLIB = $(USRLIBDIR)/libXdmcp.a
XDMCPLIB =  -lXdmcp

LINTXDMCP = $(LINTLIBDIR)/llib-lXdmcp.ln

           XMUSRC = $(LIBSRC)/Xmu

SOXMUREV = 6.0
DEPXMULIB =
XMULIB =  -lXmu

LINTXMU = $(LINTLIBDIR)/llib-lXmu.ln

       OLDXLIBSRC = $(LIBSRC)/oldX

SOOLDXREV = 6.0
DEPOLDXLIB =
OLDXLIB =  -loldX

LINTOLDX = $(LINTLIBDIR)/llib-loldX.ln

         XPLIBSRC = $(LIBSRC)/Xp

SOXPREV = 6.2
DEPXPLIB =
XPLIB =  -lXp

LINTXP = $(LINTLIBDIR)/llib-lXp.ln

       TOOLKITSRC = $(LIBSRC)/Xt

SOXTREV = 6.0
DEPXTOOLONLYLIB =
XTOOLONLYLIB =  -lXt

LINTXTOOLONLY = $(LINTLIBDIR)/llib-lXt.ln

      DEPXTOOLLIB = $(DEPXTOOLONLYLIB) $(DEPSMLIB) $(DEPICELIB)
         XTOOLLIB = $(XTOOLONLYLIB) $(SMLIB) $(ICELIB)
     LINTXTOOLLIB = $(LINTXTOOLONLYLIB)

       XALIBSRC = $(LIBSRC)/Xa

DEPvarLIB = $(USRLIBDIR)/libXa.a
varLIB =  -lXa

LINTvar = $(LINTLIBDIR)/llib-lXa.ln

       AWIDGETSRC = $(LIBSRC)/Xaw

SOXAWREV = 6.1
DEPXAWLIB =
XAWLIB =  -lXaw

LINTXAW = $(LINTLIBDIR)/llib-lXaw.ln

         XILIBSRC = $(LIBSRC)/Xi

SOXINPUTREV = 6.0
DEPXILIB =
XILIB =  -lXi

LINTXI = $(LINTLIBDIR)/llib-lXi.ln

      XTESTLIBSRC = $(LIBSRC)/Xtst

SOXTESTREV = 6.1
DEPXTESTLIB =
XTESTLIB =  -lXtst

LINTXTEST = $(LINTLIBDIR)/llib-lXtst.ln

        PEXLIBSRC = $(LIBSRC)/PEX5

SOPEXREV = 6.0
DEPPEXLIB =
PEXLIB =  -lPEX5

LINTPEX = $(LINTLIBDIR)/llib-lPEX5.ln

        XIELIBSRC = $(LIBSRC)/XIE

SOXIEREV = 6.0
DEPXIELIB =
XIELIB =  -lXIE

LINTXIE = $(LINTLIBDIR)/llib-lXIE.ln

      PHIGSLIBSRC = $(LIBSRC)/PHIGS

DEPPHIGSLIB = $(USRLIBDIR)/libphigs.a
PHIGSLIB =  -lphigs

LINTPHIGS = $(LINTLIBDIR)/llib-lphigs.ln

DEPXBSDLIB = $(USRLIBDIR)/libXbsd.a
XBSDLIB =  -lXbsd

LINTXBSD = $(LINTLIBDIR)/llib-lXbsd.ln

           ICESRC = $(LIBSRC)/ICE

SOICEREV = 6.3
DEPICELIB =
ICELIB =  -lICE

LINTICE = $(LINTLIBDIR)/llib-lICE.ln

            SMSRC = $(LIBSRC)/SM

SOSMREV = 6.0
DEPSMLIB =
SMLIB =  -lSM

LINTSM = $(LINTLIBDIR)/llib-lSM.ln

           XKEYSRC = $(LIBSRC)/Xkey

SOXKEYREV = 6.0
DEPXKEYLIB =
XKEYLIB =  -lXkey

LINTXKEY = $(LINTLIBDIR)/llib-lXkey.ln

         FSLIBSRC = $(LIBSRC)/FS

DEPFSLIB = $(USRLIBDIR)/libFS.a
FSLIB =  -lFS

LINTFS = $(LINTLIBDIR)/llib-lFS.ln

         FONTLIBSRC = $(LIBSRC)/font

DEPFONTLIB = $(USRLIBDIR)/libfont.a
FONTLIB =  -lfont

LINTFONT = $(LINTLIBDIR)/llib-lfont.ln

    XKBFILELIBSRC = $(LIBSRC)/xkbfile

DEPXKBFILELIB = $(USRLIBDIR)/libxkbfile.a
XKBFILELIB =  -lxkbfile

LINTXKBFILE = $(LINTLIBDIR)/llib-lxkbfile.ln

     XKBCOMPCMD = xkbcomp

          DEPLIBS = $(DEPXAWLIB) $(DEPXMULIB) $(DEPXTOOLLIB) $(DEPXLIB)

         DEPLIBS1 = $(DEPLIBS)
         DEPLIBS2 = $(DEPLIBS)
         DEPLIBS3 = $(DEPLIBS)
         DEPLIBS4 = $(DEPLIBS)
         DEPLIBS5 = $(DEPLIBS)
         DEPLIBS6 = $(DEPLIBS)
         DEPLIBS7 = $(DEPLIBS)
         DEPLIBS8 = $(DEPLIBS)
         DEPLIBS9 = $(DEPLIBS)
         DEPLIBS10 = $(DEPLIBS)

        CONFIGDIR = $(LIBDIR)/config

    USRLIBDIRPATH = $(USRLIBDIR)
        LDPRELIBS = -L$(USRLIBDIR)
       LDPOSTLIBS =
     TOP_INCLUDES = -I$(INCROOT) $(TOP_X_INCLUDES)
  PROJECT_DEFINES =

# ----------------------------------------------------------------------
# start of Imakefile

# BUILD INSTRUCTIONS:
# -------------------
# Step 1. xmkmf -a
# Step 2. make all

# -----
# NOTES
# -----
# If using /usr/openwin/bin/xmkmf, replace step 1 with:
# 1. xmkmf; make makefiles; make includes; make depend
#

## xmotd 1.17.3b

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # $XConsortium: imake.c /main/90 1996/11/13 14:43:23 lehors $
 
 # ----------------------------------------------------------------------
-# Makefile generated from "Imake.tmpl" and </tmp/IIf.0bv7kt>
+# Makefile generated from "Imake.tmpl" and <Imakefile>
 # $XConsortium: Imake.tmpl /main/243 1996/11/13 14:42:56 lehors $
 #
 
@@ -457,7 +457,7 @@
 # ----------------------------------------------------------------------
 # start of Imakefile
 
-# BUILD INSTRUCTIONS:
+# BUILD INSTRUCTIONS (ALSO SEE NOTES):
 # -------------------
 # Step 1. xmkmf -a
 # Step 2. make all

=== debian/changelog ===
xmotd (1.17.3b-12) unstable; urgency=medium

  * QA upload.
  * debian/copyright: Update packaging copyright information.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/tests/*: Create autopkgtest.

 -- Pedro Morais Mendes <pedromorais.dev@gmail.com>  Sat, 16 Nov 2024 11:05:59 -0300

xmotd (1.17.3b-11) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1050255)
  * debian/: Apply wrap-and-sort -abst.
  * Bump to debhelper compat 13, Standards-Version 4.6.2.
  * debian/compat: Dropped.
  * debian/control: Use new git packaging repo.
  * debian/changelog: Drop trailing spaces.
  * debian/rules: drop obsolete with-autoreconf config.

 -- Boyuan Yang <byang@debian.org>  Mon, 11 Dec 2023 15:08:22 -0500

xmotd (1.17.3b-10) unstable; urgency=medium

  * debian/patches/bugfix/fix-warnings-hardening-build.patch:
    - Fix most compile time warnings and avoid crash with hardening
      flags (acknowledgments to Christoph Pleger for the patch)
      (Closes: #889740).
  * Bump debian/compat from 9 to 11.
  * debian/control:
    - Depend on debhelper >= 11 instead of >= 9.
  * debian/control:
    - Bump Standards-Version to 4.1.3.0.
  * debian/copyright:
    - Update copyright years.

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 18 Feb 2018 10:04:35 +0100

xmotd (1.17.3b-9) unstable; urgency=medium

  * Make debian/copyright DEP5 compliant.
  * debian/rules:
    - Add hardening flags.
  * debian/control, debian/copyright:
    - Update e-mail address for Hugo Lefeuvre.
  * debian/control:
    - Bump Standards-Version to 3.9.8.
  * debian/patches/*:
    - Fix spellings in manpage.
  * Remove debian/menu (useless because of debian/xmotd.desktop).
  * debian/xmotd.desktop:
    - Add Keywords field.
    - Remove Encoding field.

 -- Hugo Lefeuvre <hle@debian.org>  Sat, 10 Sep 2016 21:07:47 +0200

xmotd (1.17.3b-8) unstable; urgency=low

  * debian/control
    - New maintainer (Hugo Lefeuvre) (Closes: #685225).
    - Reformatting of Build-Depends line.
  * debian/copyright
    - Added a line to signal the adoption.

 -- Hugo Lefeuvre <hugo6390@orange.fr>  Sat, 14 Jun 2014 15:41:41 +0200

xmotd (1.17.3b-7) unstable; urgency=low

  * Bumped standards-version
  * Upload to sid
  * Fixed path to icon in menu file

 -- Marcin Owsiany <porridge@debian.org>  Tue, 22 Apr 2014 19:57:06 +0200

xmotd (1.17.3b-6) experimental; urgency=low

  * Switched to using topgit and dh(1) with dh-autoreconf
  * bugfix/build-manpage.diff: Also add clean target.
  * Added a README.source file.
  * Added Vcs-* fields.
  * Bumped Standards-Version: to 3.9.4 (no changes needed).
  * Ignore the patches directory.
  * Remove article from description synopsis.
  * Fix typo found by lintian.
  * Improve flags handling.

 -- Marcin Owsiany <porridge@debian.org>  Sun, 24 Feb 2013 13:39:15 +0000

xmotd (1.17.3b-5) unstable; urgency=high

  * Patched to include necessary headers, which fixes segfault on x86_64,
    which in turn closes: Bug#458703
  * Fixed some spelling errors in changelog
  * Moved homepage URL from Description: to the new Homepage: field
  * Updated the menu entry to conform to the new menu policy
  * Bumped standards-version to 3.7.3
  * Updated years in debian/copyright

 -- Marcin Owsiany <porridge@debian.org>  Sun, 20 Jan 2008 21:09:01 +0000

xmotd (1.17.3b-4) unstable; urgency=low

  * Install a resized xmotd.xpm in /usr/share/pixmaps and use it in the menu
    and desktop file
  * Removed libxaw-dev from alternative in build-deps as it does not exist any
    more (left just libxaw7-dev)
  * Tweaked the linking rule in Imakefile to get rid of dependencies we don't
    really need, as detected by checklib.
  * Turned on xpm support in Imakefile
  * Added a uscan watch file, which closes: Bug#377336

 -- Marcin Owsiany <porridge@debian.org>  Tue,  3 Jul 2007 18:47:45 +0100

xmotd (1.17.3b-3) unstable; urgency=low

  * Added a .desktop file, which closes: Bug#368090
  * Quoted "X11" in menu file, added a longtitle to it
  * Switched to dh compat level 5 (from deprecated 3)
  * Added misc:Depends
  * Added a Homepage: line to description
  * Bumped Standards-Version to 3.7.2 (no changes needed)
  * Updated FSF address in debian/copyright
  * Changed dependency on xutils to xutils-dev, since the latter has imake now

 -- Marcin Owsiany <porridge@debian.org>  Sat, 17 Jun 2006 13:17:30 +0100

xmotd (1.17.3b-2) unstable; urgency=low

  * Replaced build-dependency on xlibs-dev with libxmu-dev, libxpm-dev,
    libxt-dev, as suggested by xlibs-split script, closes: Bug#346766

 -- Marcin Owsiany <porridge@debian.org>  Sat, 14 Jan 2006 14:34:11 +0100

xmotd (1.17.3b-1) unstable; urgency=low

  * New upstream version

 -- Marcin Owsiany <porridge@debian.org>  Thu, 10 Jul 2003 13:19:08 +0200

xmotd (1.16.0.1-2) unstable; urgency=low

  * Workaround a bug in sbuild by specifying a non-pure-virtual package in
    build depends, closes: Bug#169986
  * Upgrade to standards-version 3.5.8 (pay attention to DEB_BUILD_OPTIONS)

 -- Marcin Owsiany <porridge@debian.org>  Fri, 24 Jan 2003 20:01:27 +0100

xmotd (1.16.0.1-1) unstable; urgency=high

  * Fixed paths in manpage, thanks to Guido Guenther, closes: Bug#142356
  * Removed the HTML widget library, which is non-free. It was a serious
    policy violation (2.1.2), thus urgency=high.
    The library was disabled in 1.16-1 anyway.
  * Since libhtmlw is no longer included, and without it xmotd doesn't use any
    browser, bug 142407 no longer makes sense, thus closes: Bug#142407
  * Noted in manpage and README.Debian that HTML widget is no longer included.

 -- Marcin Owsiany <porridge@debian.org>  Sat, 13 Apr 2002 20:38:48 +0200

xmotd (1.16-4) unstable; urgency=low

  * Adopting this package, which closes: Bug#116505
  * Added missing backslashes in manpage, which closes: Bug#111678
  * Added a xmotd.man: target to Imakefile. This probably isn't the
    best way to fix the build, but I have more pleasant things to do


=== debian/control ===
Source: xmotd
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.6.2
Build-Depends:
 debhelper-compat (= 13),
 libxaw7-dev,
 libxmu-dev,
 libxpm-dev,
 libxt-dev,
 xutils-dev,
Homepage: http://www.ee.ryerson.ca/~elf/xmotd/
Vcs-Git: https://salsa.debian.org/debian/xmotd.git
Vcs-Browser: https://salsa.debian.org/debian/xmotd

Package: xmotd
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: message of the day browser for X
 Xmotd is a message-of-the-day browser for X11 (with additional
 sysvnews-like support for dumb terminals).  It displays a customizable
 message box which displays each message-of-the-day until the user has
 read them all, and then creates a stamp-file.

=== debian/rules ===
#!/usr/bin/make -f
# xmotd package rules file

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

-include /usr/share/topgit/tg2quilt.mk
/usr/share/topgit/tg2quilt.mk:

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf xmkmf -- -a

override_dh_auto_build:
	$(MAKE) CDEBUGFLAGS="-g -Wall" CCOPTIONS="$$(dpkg-buildflags --get CFLAGS)" LOCAL_LDFLAGS="$$(dpkg-buildflags --get LDFLAGS)"
	ln -sf XMotd XMotd.ad
	
override_dh_auto_clean:
	rm -f XMotd.ad
	dh_auto_clean

override_dh_auto_install:
	$(MAKE) install DESTDIR=debian/xmotd BINDIR=/usr/bin
	install -d debian/xmotd/usr/share/applications
	install -d debian/xmotd/usr/share/pixmaps
	install -m 0644 debian/xmotd.desktop debian/xmotd/usr/share/applications
	install -m 0644 debian/xmotd.xpm     debian/xmotd/usr/share/pixmaps

=== debian/tests/control ===
Test-Command: xmotd -help 2>&1 | grep "^Usage"
Restrictions: superficial

Tests: xmotd-in-term
Restrictions: superficial
